# QVM: Quaternions, Vectors, Matrices

### cmp(vec,vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_vec<B>::value &&
            //  vec_traits<A>::dim==vec_traits<B>::dim
            template <class A,class B,class Cmp>
            bool cmp( A const & a, B const & b, Cmp pred );
        }
    }

#### Returns:

Similar to operator==, except that the individuual elements of a and b are passed to the binary predicate pred for comparison.

See also: boost/qvm/vec_operations.hpp